Eclipse Draw2d 3.7

## org.eclipse.draw2d
Class OrderedLayout

    java.lang.Object
      org.eclipse.draw2d.AbstractLayout
          org.eclipse.draw2d.AbstractHintLayout
              org.eclipse.draw2d.OrderedLayout

All Implemented Interfaces:
  LayoutManager

Direct Known Subclasses:
  FlowLayout, ToolbarLayout

    public abstract class OrderedLayout

extends AbstractHintLayout

Abstract superclass for layout managers that arrange their children in columns/rows.

Since:
  3.7

Field Summary
`static int` `ALIGN_BOTTOMRIGHT` Constant to specify components to be aligned on the right/bottom
`static int` `ALIGN_CENTER` Constant to specify components to be aligned in the center
`static int` `ALIGN_TOPLEFT` Constant to specify components to be aligned on the left/top
`protected boolean` `horizontal` Deprecated. Use `setHorizontal(boolean)` and `isHorizontal()` instead.
`static boolean` `HORIZONTAL` Deprecated. Pulled up from derived layout manager and deprecated here because unused.
`protected int` `minorAlignment` Deprecated. Use `getMinorAlignment()` and `setMinorAlignment(int)` instead.
`protected Transposer` `transposer` Transposer object that may be used in layout calculations.
`static boolean` `VERTICAL` Deprecated. Pulled up from derived layout manager and deprecated here because unused.

Fields inherited from class org.eclipse.draw2d.AbstractLayout
`isObservingVisibility, preferredSize`

Constructor Summary
`OrderedLayout()` Constructs a new `OrderedLayout` with the default orientation and a minor alignment of `ALIGN_TOPLEFT`.

Method Summary
`protected abstract int` `getDefaultOrientation()` Returns the default orientation of this layout.
`int` `getMinorAlignment()` Returns the minor alignment of the layout.
`boolean` `isHorizontal()` Returns `true` if the orientation of the layout is horizontal.
`abstract boolean` `isStretchMinorAxis()` Returns whether figures should obtain the same height/width in the minor axis.
`void` `setHorizontal(boolean flag)` Sets the orientation of the layout.
`void` `setMinorAlignment(int align)` Sets the alignment of the children contained in the layout.
`abstract void` `setStretchMinorAxis(boolean value)` Causes children that are smaller in the dimension of the minor axis to be stretched to fill the minor axis.

Methods inherited from class org.eclipse.draw2d.AbstractHintLayout
`calculateMinimumSize, getMinimumSize, getPreferredSize, invalidate, isSensitiveHorizontally, isSensitiveVertically`

Methods inherited from class org.eclipse.draw2d.AbstractLayout
`calculatePreferredSize, calculatePreferredSize, getBorderPreferredSize, getConstraint, getMinimumSize, getPreferredSize, invalidate, isObservingVisibility, remove, setConstraint, setObserveVisibility`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.draw2d.LayoutManager
`layout`

Field Detail

### ALIGN_CENTER

    public static final int ALIGN_CENTER

  Constant to specify components to be aligned in the center

  See Also:
    Constant Field Values

### ALIGN_TOPLEFT

    public static final int ALIGN_TOPLEFT

  Constant to specify components to be aligned on the left/top

  See Also:
    Constant Field Values

### ALIGN_BOTTOMRIGHT

    public static final int ALIGN_BOTTOMRIGHT

  Constant to specify components to be aligned on the right/bottom

  See Also:
    Constant Field Values

### HORIZONTAL

    public static final boolean HORIZONTAL

  Deprecated. Pulled up from derived layout manager and deprecated here because unused.
  Constant to specify components should be layed out horizontally

  See Also:
    Constant Field Values

### VERTICAL

    public static final boolean VERTICAL

  Deprecated. Pulled up from derived layout manager and deprecated here because unused.
  Constant to specify components should be layed out vertically

  See Also:
    Constant Field Values

### horizontal

    protected boolean horizontal

  Deprecated. Use `setHorizontal(boolean)` and `isHorizontal()` instead.
  The horizontal property.

### minorAlignment

    protected int minorAlignment

  Deprecated. Use `getMinorAlignment()` and `setMinorAlignment(int)` instead.
  The alignment along the minor axis.

### transposer

    protected Transposer transposer

  Transposer object that may be used in layout calculations. Will be automatically enabled/disabled dependent on the default and the actual orientation.

Constructor Detail

### OrderedLayout

    public OrderedLayout()

  Constructs a new `OrderedLayout` with the default orientation and a minor alignment of `ALIGN_TOPLEFT`.

Method Detail

### getDefaultOrientation

    protected abstract int getDefaultOrientation()

  Returns the default orientation of this layout.

  Returns:
    one of `PositionConstants.HORIZONTAL` or `PositionConstants.VERTICAL`

### getMinorAlignment

    public int getMinorAlignment()

  Returns the minor alignment of the layout. Minor minor axis is the axis perpendicular to the overall orientation set in the constructor.

  Returns:
    the minor alignment

### isHorizontal

    public boolean isHorizontal()

  Returns `true` if the orientation of the layout is horizontal.

  Returns:
    `true` if the orientation of the layout is horizontal

### isStretchMinorAxis

    public abstract boolean isStretchMinorAxis()

  Returns whether figures should obtain the same height/width in the minor axis.

  Returns:
    whether children are to be stretched in the minor axis.

### setHorizontal

    public void setHorizontal(boolean flag)

  Sets the orientation of the layout.

  Parameters:
    `flag` - `true` if this layout should be horizontal, `false` otherwise.

### setMinorAlignment

    public void setMinorAlignment(int align)

  Sets the alignment of the children contained in the layout. Possible values are `ALIGN_CENTER`, `ALIGN_BOTTOMRIGHT` and `ALIGN_TOPLEFT`.

  Parameters:
    `align` - the minor alignment

### setStretchMinorAxis

    public abstract void setStretchMinorAxis(boolean value)

  Causes children that are smaller in the dimension of the minor axis to be stretched to fill the minor axis. The minor axis is the opposite of the orientation. That is, in horizontal orientation, all figures will have the same height. If in vertical orientation, all figures will have the same width.

  Parameters:
    `value` - whether children should be stretched in the minor axis.

Eclipse Draw2d 3.7

Copyright (c) IBM Corp. and others 2000, 2011. All Rights Reserved.